---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: auth-httpd
  labels:
    app: auth-httpd
spec:
  selector:
    matchLabels:
      app: auth-httpd
  template:
    metadata:
      labels:
        app: auth-httpd
    spec:
      volumes:
      - name: auth-httpd
        persistentVolumeClaim:
          claimName: auth-httpd
      containers:
      - name: auth-httpd
        image: httpd
        imagePullPolicy: IfNotPresent
        resources:
          limits:
            cpu: 1
            memory: 1Gi
          requests:
            cpu: 10m
            memory: 64Mi
        ports:
        - containerPort: 80
          name: auth-httpd
        volumeMounts:
        - name: auth-httpd
          mountPath: /usr/local/apache2/htdocs
